> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/analytics/analytics.click.md).

# Analytics.click

### Feature description

Leaves an analytics log when a touch or click occurs. Use it to record important user actions, such as clicking a purchase button. `event` to logs of the type `event_type: 'click'` The parameter is recorded together.

`log_name`If it is not specified, based on the current path `<pathname>::click` a name in the format is automatically used. In addition to the value you passed, the log parameters also automatically include the current page's query string (`search`), entrance path (`referrer`), deployment information (`deployment_id`, `deployment_timestamp`) is automatically included.

The current page URL is `https`If it is not, the log is not sent.

### Type

```ts
Analytics.click(params?: { log_name?: string } & { [key: string]: LogParam }): Promise<void> | undefined;
```

**Params**

```ts
// Keys other than log_name are also recorded as log parameters.
type LogParam = string | number | boolean | null | undefined;
```

**Response**

The current page URL is `https`If it is not, the log is not sent and `undefined`is returned.

### Example code

#### JavaScript

```js
import { Analytics } from "@apps-in-toss/web-framework";

const button = document.querySelector("#buy-button");

button.addEventListener("click", () => {
  Analytics.click({ log_name: "buy_button", text: "Buy" });
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/analytics/analytics.click.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
